##*************************************************************************##
##  CUBE        http://www.scalasca.org/                                   ##
##*************************************************************************##
##  Copyright (c) 2024                                                     ##
##  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          ##
##                                                                         ##
##  This software may be modified and distributed under the terms of       ##
##  a BSD-style license.  See the COPYING file in the package base         ##
##  directory for details.                                                 ##
##*************************************************************************##


# Cmake config file which is generated by autoconf and installed into
# <PACKAGE_PREFIX_DIR>/cubew/lib/cmake/CubeW/CubeWConfig.cmake

set(CubeW_VERSION "4.9.0")
string(REGEX REPLACE "\\.$" "" CubeW_VERSION ${CubeW_VERSION})

# set PACKAGE_PREFIX_DIR to main installation directory
get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

# Create imported target CubeW
add_library(CubeW SHARED IMPORTED)
set_target_properties(CubeW PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${PACKAGE_PREFIX_DIR}/include/cubew"
)

set(LIBRARY_VERSION_STRING 13:0:1)
string(REPLACE ":" "." LIBRARY_VERSION_STRING ${LIBRARY_VERSION_STRING})
string(REGEX MATCH "^[0-9]+" LIBRARY_VERSION_MAJOR ${LIBRARY_VERSION_STRING})

set_target_properties(CubeW PROPERTIES
  IMPORTED_LOCATION "${PACKAGE_PREFIX_DIR}/lib/libcube4w.so.${LIBRARY_VERSION_STRING}"
  IMPORTED_SONAME "libcube4w.so.${LIBRARY_VERSION_MAJOR}"
)

message(STATUS "CubeW Version ${CubeW_VERSION} found")
